/**
 * RelatedLinkType.java
 *
 * File generated from the medication::RelatedLinkType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RelatedLinkType.
 *
 * 
 */

@XmlType(name = "RelatedLinkType")
@XmlEnum
@XmlRootElement(name = "RelatedLinkType")
public enum RelatedLinkType {
	@XmlEnumValue("REL")
	REL("REL"),
	@XmlEnumValue("BACKUP")
	BACKUP("BACKUP"),
	@XmlEnumValue("DIRAUTH")
	DIRAUTH("DIRAUTH"),
	@XmlEnumValue("INDAUTH")
	INDAUTH("INDAUTH"),
	@XmlEnumValue("PART")
	PART("PART"),
	@XmlEnumValue("REPL")
	REPL("REPL");
	
	private final String value;

    RelatedLinkType(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RelatedLinkType fromValue(String v) {
        for (RelatedLinkType c: RelatedLinkType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}